function [A,B]=jacobian_DOTBicycleDynamics_controlled_SRX_velEq(x,u)

A=[-56153738409624375/(296730700546048*u(5)),0,-1,0,0,788129032556015625/(7714998214197248*u(5));...
0,0,1,0,0,0;...
0,0,-892705043311947520199850964844375/(4689921400355813255791524184064*u(5)),0,0,4772283441129457/70368744177664;...
-u(5)*sin(x(1) + x(2)),-u(5)*sin(x(1) + x(2)),0,0,0,0;...
u(5)*cos(x(1) + x(2)),u(5)*cos(x(1) + x(2)),0,0,0,0;...
0,-6,-2,sin(u(3)),-cos(u(3)),-2];

B=[0,0,0,0,(56153738409624375*x(1))/(296730700546048*u(5)^2) - (788129032556015625*x(6))/(7714998214197248*u(5)^2),0,0,0,0;...
0,0,0,0,0,0,0,0,0;...
0,0,0,0,(892705043311947520199850964844375*x(3))/(4689921400355813255791524184064*u(5)^2),0,0,0,0;...
0,0,0,0,cos(x(1) + x(2)),0,0,0,0;...
0,0,0,0,sin(x(1) + x(2)),0,0,0,0;...
-sin(u(3)),cos(u(3)),cos(u(3))*(u(6) - u(1) + x(4)) + sin(u(3))*(u(7) - u(2) + x(5)) + 6,2,0,sin(u(3)),-cos(u(3)),-6,-2];

